Bug 1252182 - wxSpinButtons showing underlying text entry
wxSpinButtons showing underlying text entry
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wxGTK3 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeremy Newton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 19:19 EDT by Scott Talbert
Modified: 2015-11-17 20:04 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.0.2-9.fc21 wxGTK3-3.0.2-9.el6 wxGTK3-3.0.2-9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-04 17:50:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Talbert 2015-08-10 19:19:58 EDT
In wxGTK3, wxSpinButtons are showing the text entry box for the underlying GtkSpinButton.  These are supposed to be hidden.

Upstream has fixed:
https://github.com/wxWidgets/wxWidgets/commit/312ae4c92cec95954557347c2b7a9e24d4398a59

Do you mind cherry-picking this patch?  Printrun uses these (via wxPython).

Thanks.
Comment 1 Fedora Update System 2015-08-24 14:59:53 EDT
wxGTK3-3.0.2-9.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7769
Comment 2 Fedora Update System 2015-08-24 15:00:06 EDT
wxGTK3-3.0.2-9.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14146
Comment 3 Fedora Update System 2015-08-24 15:00:18 EDT
wxGTK3-3.0.2-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7770
Comment 4 Fedora Update System 2015-08-24 15:00:34 EDT
wxGTK3-3.0.2-9.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14147
Comment 5 Fedora Update System 2015-08-24 17:54:04 EDT
wxGTK3-3.0.2-9.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wxGTK3'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14147
Comment 6 Fedora Update System 2015-08-24 18:22:01 EDT
wxGTK3-3.0.2-9.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wxGTK3'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14146
Comment 7 Fedora Update System 2015-08-25 00:21:00 EDT
wxGTK3-3.0.2-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wxGTK3'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7770
Comment 8 Fedora Update System 2015-08-25 10:51:56 EDT
wxGTK3-3.0.2-9.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update wxGTK3'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7769
Comment 9 Fedora Update System 2015-09-04 17:50:41 EDT
wxGTK3-3.0.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-09-05 00:17:18 EDT
wxGTK3-3.0.2-9.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-11-17 19:57:48 EST
wxGTK3-3.0.2-9.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-11-17 20:04:41 EST
wxGTK3-3.0.2-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.